Name:           python-mypy
Version:        1.15.0
Release:        %mkrel 2
Summary:        A static type checker for Python
Group:          Development/Python

# The files under lib-python and lib-typing/3.2 are Python-licensed, but this
# package does not include those files
# mypy/typeshed is ASL 2.0
License:        MIT and ASL 2.0
URL:            https://github.com/python/mypy
Source:         %{pypi_source mypy}
BuildArch:      noarch
BuildRequires:  python3-devel
# Needed to generate the man pages
BuildRequires:  help2man

%description
Mypy is an optional static type checker for Python.  You can add type
hints to your Python programs using the upcoming standard for type
annotations introduced in Python 3.5 beta 1 (PEP 484), and use mypy to
type check them statically. Find bugs in your programs without even
running them!

%package -n python3-mypy
Summary:        A static type checker for Python
Group:          Development/Python
%{?python_provide:%python_provide python3-mypy}

%description -n python3-mypy
Mypy is an optional static type checker for Python.  You can add type
hints to your Python programs using the upcoming standard for type
annotations introduced in Python 3.5 beta 1 (PEP 484), and use mypy to
type check them statically. Find bugs in your programs without even
running them!

%prep
%autosetup -n mypy-%{version} -p1

# no python3dist(types-psutil) available
sed -i 's|"types-psutil",||' pyproject.toml

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files mypy mypyc

# Generate man pages
mkdir -p %{buildroot}%{_mandir}/man1
PYTHONPATH=%{buildroot}%{python3_sitelib} \
    help2man --no-info --version-string 'mypy %{version}-dev' \
        --no-discard-stderr -o %{buildroot}%{_mandir}/man1/mypy.1 \
        %{buildroot}%{_bindir}/mypy

PYTHONPATH=%{buildroot}%{python3_sitelib} \
    help2man --no-info --version-string 'mypy stubgen %{version}-dev' \
        --no-discard-stderr -o %{buildroot}%{_mandir}/man1/stubgen.1 \
        %{buildroot}%{_bindir}/stubgen

%files -n python3-mypy -f %{pyproject_files}
%license LICENSE
%doc README.md
%{_bindir}/mypy
%{_bindir}/mypyc
%{_bindir}/dmypy
%{_bindir}/stubgen
%{_bindir}/stubtest
%{_mandir}/man1/mypy.1*
%{_mandir}/man1/stubgen.1*

%exclude %{python3_sitelib}/mypy/test


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 1.15.0-2.mga10
+ Revision: 2236159
- Mageia 10 Mass Rebuild

* Fri Feb 21 2025 wally <wally> 1.15.0-1.mga10
+ Revision: 2150442
- new version 1.15.0
- rebuild for python3.13

* Thu Jan 02 2025 daviddavid <daviddavid> 1.14.1-1.mga10
+ Revision: 2134933
- new version: 1.14.1
- switch to pyproject

* Wed Jul 24 2024 kekepower <kekepower> 1.11.0-1.mga10
+ Revision: 2082423
- Update to version 1.11.0

* Wed Jul 03 2024 kekepower <kekepower> 1.10.1-1.mga10
+ Revision: 2079220
- Update to version 1.10.1

* Fri Dec 22 2023 kekepower <kekepower> 1.8.0-1.mga10
+ Revision: 2020837
- Update to version 1.8.0

* Fri Dec 08 2023 wally <wally> 1.7.1-2.mga10
+ Revision: 2015799
- rebuild for py3.12

* Sun Nov 26 2023 kekepower <kekepower> 1.7.1-1.mga10
+ Revision: 2009679
- Update to version 1.7.1

* Fri Nov 10 2023 kekepower <kekepower> 1.7.0-1.mga10
+ Revision: 2005685
- Update to version 1.7.0

* Fri Oct 20 2023 kekepower <kekepower> 1.6.1-1.mga10
+ Revision: 1999875
- Update to version 1.6.1

* Tue Oct 17 2023 kekepower <kekepower> 1.6.0-1.mga10
+ Revision: 1998057
- Update to version 1.6.0

* Tue Aug 29 2023 kekepower <kekepower> 1.5.1-1.mga10
+ Revision: 1980864
- Update to version 1.5.1

* Mon May 15 2023 kekepower <kekepower> 1.3.0-1.mga9
+ Revision: 1957003
- Update to version 1.3.0

* Sat Apr 08 2023 kekepower <kekepower> 1.2.0-1.mga9
+ Revision: 1951770
- Update to version 1.2.0

* Mon Mar 13 2023 kekepower <kekepower> 1.1.1-1.mga9
+ Revision: 1948758
- Update to version 1.1.1

* Fri Feb 24 2023 kekepower <kekepower> 1.0.1-1.mga9
+ Revision: 1945264
- Update to version 1.0.1

* Tue Feb 07 2023 kekepower <kekepower> 1.0.0-1.mga9
+ Revision: 1939105
- Update to version 1.0.0

* Thu Nov 17 2022 kekepower <kekepower> 0.991-1.mga9
+ Revision: 1908537
- Update to version 0.991

* Mon Nov 07 2022 kekepower <kekepower> 0.990-1.mga9
+ Revision: 1904480
- Update to version 0.990

* Wed Oct 05 2022 kekepower <kekepower> 0.982-1.mga9
+ Revision: 1894879
- Update to version 0.982

* Fri Jul 22 2022 kekepower <kekepower> 0.971-1.mga9
+ Revision: 1870091
- Update to version 0.971

* Thu Mar 24 2022 umeabot <umeabot> 0.910-3.mga9
+ Revision: 1824788
- Mageia 9 Mass Rebuild

* Wed Feb 16 2022 mrambo3501 <mrambo3501> 0.910-2.mga9
+ Revision: 1775877
- rebuild for python-3.10

* Tue Jun 22 2021 kekepower <kekepower> 0.910-1.mga9
+ Revision: 1731734
- Update to version 0.910

* Thu Jun 10 2021 kekepower <kekepower> 0.902-1.mga9
+ Revision: 1730352
- Update to version 0.902

* Wed Jun 09 2021 kekepower <kekepower> 0.901-1.mga9
+ Revision: 1730197
- Update to version 0.901
- Rediffed Patch0

* Sun Mar 21 2021 guillomovitch <guillomovitch> 0.812-2.mga9
+ Revision: 1706738
- rebuild for python 3.9

* Thu Feb 25 2021 kekepower <kekepower> 0.812-1.mga9
+ Revision: 1690887
- Update to version 0.812

* Wed Jun 03 2020 kekepower <kekepower> 0.780-1.mga8
+ Revision: 1590070
- Update to version 0.780

* Sat Mar 14 2020 kekepower <kekepower> 0.770-1.mga8
+ Revision: 1556185
- Update to version 0.770

* Tue Feb 18 2020 umeabot <umeabot> 0.761-2.mga8
+ Revision: 1541124
- Mageia 8 Mass Rebuild

* Fri Dec 20 2019 kekepower <kekepower> 0.761-1.mga8
+ Revision: 1469172
- Update to version 0.761
- Rediffed Patch0

* Fri Dec 13 2019 kekepower <kekepower> 0.750-1.mga8
+ Revision: 1466159
- Update to version 0.750
- Rediff Patch0

* Sat Sep 07 2019 wally <wally> 0.720-3.mga8
+ Revision: 1438092
- with python3.8 stdlib ast module is used instead of typed_ast

* Fri Sep 06 2019 wally <wally> 0.720-2.mga8
+ Revision: 1437942
- rename src.rpm as python-mypy
- rebuild for python3.8
- drop unneeded typed_ast BR

* Tue Jul 16 2019 kekepower <kekepower> 0.720-1.mga8
+ Revision: 1421939
- Update to version 0.720

* Thu Jul 04 2019 kekepower <kekepower> 0.711-1.mga8
+ Revision: 1418178
- Update to version 0.711

* Mon Apr 22 2019 kekepower <kekepower> 0.701-1.mga7
+ Revision: 1394734
- Update to version 0.701

* Sat Apr 06 2019 kekepower <kekepower> 0.700-1.mga7
+ Revision: 1386498
- Update to version 0.700 (sync with Fedora)

* Sat Apr 06 2019 kekepower <kekepower> 0.620-2.mga7
+ Revision: 1386491
- Relax dependencies on python-typed_ast

* Sat Jan 05 2019 wally <wally> 0.620-1.mga7
+ Revision: 1349769
- new version 0.620 (sync with Fedora)

* Fri Sep 21 2018 umeabot <umeabot> 0.2.0-0.3.git20160111.mga7
+ Revision: 1290587
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 0.2.0-0.2.git20160111.mga7
+ Revision: 1135298
- Rebuild for python 3.6

* Wed Jan 13 2016 ngompa <ngompa> 0.2.0-0.1.git20160111.mga6
+ Revision: 922356
- imported package python3-mypy

